import request from '@/utils/request'

// 查询疾病列表
export function listDisease(query) {
  return request({
    url: '/biosafety/disease/list',
    method: 'get',
    params: query
  })
}

// 查询疾病详细
export function getDisease(id) {
  return request({
    url: '/biosafety/disease/' + id,
    method: 'get'
  })
}

// 新增疾病
export function addDisease(data) {
  return request({
    url: '/biosafety/disease',
    method: 'post',
    data: data
  })
}

// 修改疾病
export function updateDisease(data) {
  return request({
    url: '/biosafety/disease',
    method: 'put',
    data: data
  })
}

// 删除疾病
export function delDisease(id) {
  return request({
    url: '/biosafety/disease/' + id,
    method: 'delete'
  })
}
